<?php

namespace App\Filament\Resources\NewEventContainResource\Pages;

use App\Filament\Resources\NewEventContainResource;
use Filament\Actions;
use Filament\Resources\Pages\ListRecords;
use Illuminate\Support\Facades\Gate;
class ListNewEventContains extends ListRecords
{
    protected static string $resource = NewEventContainResource::class;

    protected function getHeaderActions(): array
    {
        return [
            Actions\CreateAction::make()
                ->label('Add New Event')
                ->visible(fn () => Gate::allows('create neweventcontain')),
        ];
    }
}